Constant authorisation requests from 3.22.4-2 on Fedora

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Constant authorisation requests from 3.22.4-2 on Fedora

Patrick O'Callaghan
After upgrading from 3.22.4-1.fc25 to 3.22.4-2.fc25 this morning and
restarting Evo I am being plagued with pop-ups asking me to reauthorise
my Gmail accounts. This is happening almost every time I open a message
or try to send something.

I've had to regress to 3.22.4-1.fc25 to make it go away.

Is this only on Fedora or is anyone else seeing it?

poc
_______________________________________________
evolution-list mailing list
[hidden email]
To change your list options or unsubscribe, visit ...
https://mail.gnome.org/mailman/listinfo/evolution-list
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Constant authorisation requests from 3.22.4-2 on Fedora

Ralf Mardorf-3
On Thu, 2017-01-19 at 21:52 +0000, Patrick O'Callaghan wrote:
> After upgrading from 3.22.4-1.fc25 to 3.22.4-2.fc25
                       ^^^^^^^^         ^^^^^^^^
                             ^^               ^^
This is a package release upgrade, not an Evolution version upgrade.
Most likely it was recompiled against an upgraded shared library, so I
wonder that you simply could downgrade, without downgrading at least
another package. Maybe it wasn't compiled against a new library, but
perhaps the package was rebuild with different options. This seems to be
a distro specific issue. Note, I'm not using Gmail, I just noticed that
it's a package release upgrade.

Regards,
Ralf

_______________________________________________
evolution-list mailing list
[hidden email]
To change your list options or unsubscribe, visit ...
https://mail.gnome.org/mailman/listinfo/evolution-list
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Constant authorisation requests from 3.22.4-2 on Fedora

Patrick O'Callaghan
On Thu, 2017-01-19 at 23:43 +0100, Ralf Mardorf wrote:

> On Thu, 2017-01-19 at 21:52 +0000, Patrick O'Callaghan wrote:
> > After upgrading from 3.22.4-1.fc25 to 3.22.4-2.fc25
>
>                        ^^^^^^^^         ^^^^^^^^
>                              ^^               ^^
> This is a package release upgrade, not an Evolution version upgrade.
> Most likely it was recompiled against an upgraded shared library, so I
> wonder that you simply could downgrade, without downgrading at least
> another package. Maybe it wasn't compiled against a new library, but
> perhaps the package was rebuild with different options. This seems to be
> a distro specific issue. Note, I'm not using Gmail, I just noticed that
> it's a package release upgrade.

You're right, it did downgrade a bunch of other packages:

(1/33): evolution-bogofilter-3.22.1-2.fc25.x86_64.rpm                                                                                                                                                        134 kB/s |  20 kB     00:00    
(2/33): enchant-1.6.0-14.fc25.i686.rpm                                                                                                                                                                       129 kB/s |  60 kB     00:00    
(3/33): evolution-3.22.4-2.fc25.i686.rpm                                                                                                                                                                     4.6 MB/s | 8.7 MB     00:01    
(4/33): gcr-3.20.0-2.fc25.i686.rpm                                                                                                                                                                           1.3 MB/s | 651 kB     00:00    
(5/33): gnome-autoar-0.1.1-1.fc25.i686.rpm                                                                                                                                                                   630 kB/s |  52 kB     00:00    
(6/33): gtkspell3-3.0.9-1.fc25.i686.rpm                                                                                                                                                                      718 kB/s |  53 kB     00:00    
(7/33): evolution-data-server-3.22.4-1.fc25.i686.rpm                                                                                                                                                         1.6 MB/s | 3.1 MB     00:02    
(8/33): libarchive-3.2.2-1.fc25.i686.rpm                                                                                                                                                                     1.5 MB/s | 369 kB     00:00    
(9/33): libcanberra-gtk3-0.30-11.fc24.i686.rpm                                                                                                                                                               475 kB/s |  35 kB     00:00    
(10/33): evolution-3.22.1-2.fc25.x86_64.rpm                                                                                                                                                                  3.0 MB/s | 8.8 MB     00:02    
(11/33): libcanberra-0.30-11.fc24.i686.rpm                                                                                                                                                                   246 kB/s |  85 kB     00:00    
(12/33): libnotify-0.7.7-1.fc25.i686.rpm                                                                                                                                                                     642 kB/s |  43 kB     00:00    
(13/33): libical-2.0.0-8.fc25.i686.rpm                                                                                                                                                                       1.7 MB/s | 218 kB     00:00    
(14/33): lzo-2.08-8.fc24.i686.rpm                                                                                                                                                                            606 kB/s |  70 kB     00:00    
(15/33): libtdb-1.3.11-1.fc25.i686.rpm                                                                                                                                                                       925 kB/s |  53 kB     00:00    
(16/33): libsecret-0.18.5-2.fc25.i686.rpm                                                                                                                                                                    583 kB/s | 153 kB     00:00    
(17/33): gpgme-1.6.0-3.fc25.i686.rpm                                                                                                                                                                         1.8 MB/s | 175 kB     00:00    
(18/33): libgnome-keyring-3.12.0-7.fc25.i686.rpm                                                                                                                                                             1.0 MB/s | 113 kB     00:00    
(19/33): libassuan-2.4.3-1.fc25.i686.rpm                                                                                                                                                                     1.3 MB/s |  76 kB     00:00    
(20/33): gnome-desktop3-3.22.2-1.fc25.i686.rpm                                                                                                                                                               2.9 MB/s | 568 kB     00:00    
(21/33): libgdata-0.17.6-3.fc25.i686.rpm                                                                                                                                                                     4.2 MB/s | 436 kB     00:00    
(22/33): gnome-online-accounts-3.22.4-1.fc25.i686.rpm                                                                                                                                                        1.9 MB/s | 557 kB     00:00    
(23/33): libcryptui-3.12.2-7.fc24.i686.rpm                                                                                                                                                                   858 kB/s | 766 kB     00:00    
(24/33): geocode-glib-3.20.1-1.fc25.i686.rpm                                                                                                                                                                 364 kB/s |  59 kB     00:00    
(25/33): liboauth-1.0.3-5.fc24.i686.rpm                                                                                                                                                                      119 kB/s |  27 kB     00:00    
(26/33): libgweather-3.20.4-1.fc25.i686.rpm                                                                                                                                                                  6.4 MB/s | 3.0 MB     00:00    
(27/33): harfbuzz-icu-1.3.2-1.fc25.i686.rpm                                                                                                                                                                  181 kB/s |  19 kB     00:00    
(28/33): hyphen-2.8.8-4.fc24.i686.rpm                                                                                                                                                                        350 kB/s |  31 kB     00:00    
(29/33): libXt-1.1.5-3.fc24.i686.rpm                                                                                                                                                                         899 kB/s | 175 kB     00:00    
(30/33): webkitgtk4-jsc-2.14.2-1.fc25.i686.rpm                                                                                                                                                               4.2 MB/s | 3.4 MB     00:00    
(31/33): webkitgtk4-2.14.2-1.fc25.i686.rpm                                                                                                                                                                   3.4 MB/s |  12 MB     00:03    
(32/33): webkitgtk4-plugin-process-gtk2-2.14.2-1.fc25.i686.rpm                                                                                                                                               3.5 MB/s | 9.3 MB     00:02    
(33/33): libicu-57.1-4.fc25.i686.rpm
                                                                       
                                                                     
I guess I'll report it against the Fedora BZ.

poc
_______________________________________________
evolution-list mailing list
[hidden email]
To change your list options or unsubscribe, visit ...
https://mail.gnome.org/mailman/listinfo/evolution-list
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Constant authorisation requests from 3.22.4-2 on Fedora

Milan Crha
On Thu, 2017-01-19 at 23:43 +0000, Patrick O'Callaghan wrote:
> (1/33): evolution-bogofilter-3.22.1-2.fc25.x86_64.rpm                                                                                                                                                        134 kB/s |  20 kB     00:00   
> (2/33): enchant-1.6.0-14.fc25.i686.rpm                                                                                                                                                                       129 kB/s |  60 kB     00:00   
> (3/33): evolution-3.22.4-2.fc25.i686.rpm  

        Hi,
is it correct that you've installed 32bit and 64bit evolution, both of
a different version, please? It might be completely unrelated, but just
in case.

I tried to reproduce it and no luck, my Google account configured
directly in the Evolution doesn't exhibit any such issue. I guess that
you probably face an issue where libsecret failed to connect to the
gnome-keyring. It happens to me from time to time too, very
sporadically, and the cure is to restart all the evolution processes.
https://bugzilla.gnome.org/show_bug.cgi?id=769666

        Bye,
        Milan
_______________________________________________
evolution-list mailing list
[hidden email]
To change your list options or unsubscribe, visit ...
https://mail.gnome.org/mailman/listinfo/evolution-list
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Constant authorisation requests from 3.22.4-2 on Fedora

Patrick O'Callaghan
On Fri, 2017-01-20 at 11:46 +0100, Milan Crha wrote:
> On Thu, 2017-01-19 at 23:43 +0000, Patrick O'Callaghan wrote:
> > (1/33): evolution-bogofilter-3.22.1-2.fc25.x86_64.rpm                                                                                                                                                        134 kB/s |  20 kB     00:00   
> > (2/33): enchant-1.6.0-14.fc25.i686.rpm                                                                                                                                                                       129 kB/s |  60 kB     00:00   
> > (3/33): evolution-3.22.4-2.fc25.i686.rpm  
>
> Hi,
> is it correct that you've installed 32bit and 64bit evolution, both of
> a different version, please? It might be completely unrelated, but just
> in case.

No, I only have 64-bit Evolution packages.

> I tried to reproduce it and no luck, my Google account configured
> directly in the Evolution doesn't exhibit any such issue. I guess that
> you probably face an issue where libsecret failed to connect to the
> gnome-keyring. It happens to me from time to time too, very
> sporadically, and the cure is to restart all the evolution processes.
> https://bugzilla.gnome.org/show_bug.cgi?id=769666

I'll go back to the new version and see if that works.

poc
_______________________________________________
evolution-list mailing list
[hidden email]
To change your list options or unsubscribe, visit ...
https://mail.gnome.org/mailman/listinfo/evolution-list
Loading...